Get a goal by ID
get
/Goal/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual goal by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Goal
Type:
objectA desired health outcome for a patient.
Show Source
-
_startDate: object
ElementForGoal
-
description(required): object
CodeableConcept
-
id(required): string
The logical ID of the goal.
-
lifecycleStatus(required): string
Allowed Values:
[ "proposed", "planned", "accepted", "active", "on-hold", "completed", "cancelled", "entered-in-error", "rejected" ]The current lifecycle state of the goal. -
meta: object
meta
-
resourceType(required): string
Allowed Values:
[ "Goal" ] -
startDate: string
(date)
The date on which the goal becomes active.
-
subject(required): object
ReferenceForGoal
-
target(required): array
target
Minimum Number of Items:
1Maximum Number of Items:1The target outcome for the goal.
Nested Schema : ElementForGoal
Type:
Show Source
object-
extension: array
extension
The additional element information.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : meta
Type:
Show Source
object-
lastUpdated: string
(date-time)
The last update time.
-
security: array
security
-
versionId: string
The version-specific identifier.
Nested Schema : ReferenceForGoal
Type:
Show Source
object-
reference(required): string
The relative patient reference.
-
type(required): string
Allowed Values:
[ "Patient" ]The referenced resource type.
Nested Schema : target
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
1The target outcome for the goal.
Show Source
Nested Schema : ExtensionForGoal
Type:
Show Source
object-
url(required): string
(uri)
The extension definition URL.
-
valueCode(required): string
The coded extension value.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : TargetForGoal
Type:
Show Source
object-
_dueDate: object
ElementForGoal
-
dueDate: string
(date)
The target completion date.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source